/*

                Cۏ̎WƋL^

	Copyrights 2011,  Yoshi Hiroshi.

 */

#define SYSTEM_FLAG_TIMER_INT       0
#define IS_TIMER_INT                (GPIOR0 & _BV(SYSTEM_FLAG_TIMER_INT))
#define SET_TIMER_INT               GPIOR0 |= _BV(SYSTEM_FLAG_TIMER_INT)
#define CLEAR_TIMER_INT             GPIOR0 &= ~_BV(SYSTEM_FLAG_TIMER_INT)

#define SYSTEM_FLAG_SHT_INT         1
#define IS_SHT_INT                  (GPIOR0 & _BV(SYSTEM_FLAG_SHT_INT))
#define SET_SHT_INT                 GPIOR0 |= _BV(SYSTEM_FLAG_SHT_INT)
#define CLEAR_SHT_INT               GPIOR0 &= ~_BV(SYSTEM_FLAG_SHT_INT)

#define SYSTEM_FLAG_SCP_INT         2
#define IS_SCP_INT                  (GPIOR0 & _BV(SYSTEM_FLAG_SCP_INT))
#define SET_SCP_INT                 GPIOR0 |= _BV(SYSTEM_FLAG_SCP_INT)
#define CLEAR_SCP_INT               GPIOR0 &= ~_BV(SYSTEM_FLAG_SCP_INT)

#define SYSTEM_FLAG_PAPI_INT        3
#define IS_PAPI_INT                 (GPIOR0 & _BV(SYSTEM_FLAG_PAPI_INT))
#define SET_PAPI_INT                GPIOR0 |= _BV(SYSTEM_FLAG_PAPI_INT)
#define CLEAR_PAPI_INT              GPIOR0 &= ~_BV(SYSTEM_FLAG_PAPI_INT)

#define SYSTEM_FLAG_SW1_INT         4
#define IS_SW1_INT                  (GPIOR0 & _BV(SYSTEM_FLAG_SW1_INT))
#define SET_SW1_INT                 GPIOR0 |= _BV(SYSTEM_FLAG_SW1_INT)
#define CLEAR_SW1_INT               GPIOR0 &= ~_BV(SYSTEM_FLAG_SW1_INT)

#define SYSTEM_FLAG_SW2_INT         5
#define IS_SW2_INT                  (GPIOR0 & _BV(SYSTEM_FLAG_SW2_INT))
#define SET_SW2_INT                 GPIOR0 |= _BV(SYSTEM_FLAG_SW2_INT)
#define CLEAR_SW2_INT               GPIOR0 &= ~_BV(SYSTEM_FLAG_SW2_INT)

#define REFRESH_INT                 6
#define REFRESH_REQ                 (GPIOR0 & _BV(REFRESH_INT))
#define SET_REFRESH_REQ             GPIOR0 |= _BV(REFRESH_INT)
#define CLEAR_REFRESH_REQ           GPIOR0 &= ~_BV(REFRESH_INT)

#define TIMER2_SET_SLOW             TCCR2B = _BV(CS22) | _BV(CS21) | _BV(CS20);     // 8S
#define TIMER2_SET_FAST             TCCR2B = _BV(CS22) | _BV(CS20);                 // 1S
#define TIMER2_SET_KEY_OPE          TCCR2B = _BV(CS21);                             // 62.5mS

#define ECR_POWER_ON                PORTD &= ~_BV(PD3)
#define ECR_POWER_OFF               PORTD |= _BV(PD3)

#define TIMER_1S_MODE_IDLE              0
#define TIMER_1S_MODE_STARRT_SEQ        1
#define TIMER_1S_MODE_START_POWER       2
#define TIMER_1S_MODE_START_MEASURE     3
#define TIMER_1S_MODE_DISP_VALUES       5
#define TIMER_1S_MODE_WAIT_OFF          7
#define TIMER_MODE_TIMESET              8

extern volatile char timerCounter;
extern volatile unsigned char timerMode;

