/*

                Cۏ̎WƋL^

	rtc4543.h

	Copyrights 2010,  Yoshi Hiroshi.

 */

#define RTC_PORT                PORTC
#define RTC_DDR                 DDRC
#define RTC_PIN                 PINC

#define RTC_CLK                 5
#define RTC_DATA                4
#define RTC_CE                  3
#define RTC_WR                  2

#define RTC_CLK_HIGH            PORTC |= _BV(RTC_CLK)
#define RTC_CLK_LOW             PORTC &= ~_BV(RTC_CLK)
#define RTC_GET_DATA            PINC & _BV(RTC_DATA)
#define RTC_DATA_HIGH           PORTC |= _BV(RTC_DATA)
#define RTC_DATA_LOW            PORTC &= ~_BV(RTC_DATA)
#define RTC_SELECT              PORTC |= _BV(RTC_CE)
#define RTC_DISELECT            PORTC &= ~_BV(RTC_CE)
#define RTC_SET_WRITE           PORTC |= _BV(RTC_WR);RTC_DDR |= _BV(RTC_DATA)
#define RTC_SET_READ            RTC_DDR &= ~_BV(RTC_DATA);RTC_DATA_HIGH;PORTC &= ~_BV(RTC_WR)

void initRtc();
void getDatetime(unsigned char dateTime[7]);
void putDatetime(unsigned char dateTime[7]);
void dateTimeSet(unsigned char dateTime[7]);
